import request from '../../../utils/request'

// 获取数据源列表
export const getJobDataList = params =>
  request({
    url: `/jpt/jm_homework/?project_id=${params}`,
    method: 'get',
  })

//获取作业类型与分类
export const getConstantsTypes = params =>
  request({
    url: `/jpt/constants/?type=${params}`,
    method: 'get',
  })

//创建作业
export const createJob = params =>
  request({
    url: `/jpt/jm_homework/`,
    method: 'post',
    data: { ...params },
  })

//删除作业
export const deleteJob = params =>
  request({
    url: `/jpt/jm_homework/?jm_id=${params}`,
    method: 'delete',
  })

//获取文件uri
export const getFileUri = params =>
  request({
    url: `/jpt/files/directory?project_id=${params.project_id}&user_id=${params.user_id}&file_type=${params.file_type}`,
    method: 'get',
  })

//获取文件详细信息
export const getFileInfomation = params =>
  request({
    url: `/jpt/files/dag_content?uri=${params}`,
    method: 'get',
  })

//获取datasource
export const getDataSourceInfo = params =>
  request({
    url: `/jpt/datasource/?page=${params.page}&size=${params.size}`,
    method: 'get',
  })

//获取表名称
export const getTableNameInfo = params =>
  request({
    url: `/jpt/datasource/table_names?ds_id=${params}`,
    method: 'post',
  })

//获取表结构
export const getTableSchemaInfo = params =>
  request({
    url: `/jpt/datasource/table_schema?ds_id=${params.id}&table_name=${params.table_name}`,
    method: 'post',
  })

//获取指定作业信息
export const getJobInfo = params =>
  request({
    url: `/jpt/jm_homework/info?homework_id=${params}`,
    methods: 'get',
  })

export const deleteTag = params =>
  request({
    url: `/jpt/constants/?type=${params.type}&value=${params.val}`,
    method: 'delete',
  })

export const updateJobInfo = (id, params) =>
  request({
    url: `/jpt/jm_homework/?jm_id=${id}`,
    method: 'put',
    data: { ...params },
  })

export const uploadFile = params =>
  request({
    url: '/jpt/files/upload_file',
    method: 'post',
    data: params,
  })

export const deleteFile = uri =>
  request({
    url: `/jpt/files/dag?uri=${uri}`,
    method: 'delete',
  })

// 获取本地数据集
export const getLocalSource = () => request({
  url: `/jpt/jm_homework/local_source`,
  method: 'get',
})

export const getLocalSourceTable = () => request({
  url: `/jpt/jm_homework/local_source_table`,
  method: 'get',
})

export const getLocalTableSchema = (table_name) => request({
  url: `/jpt/jm_homework/local_source_table_schema?table_name=${table_name}`,
  method: 'get',
})
